Subject: Re: bug#6208: 23.2; [M-x grep] match no longer coloured by default

From: Juri Linkov <[email-masked]>
Date: Thu, 20 May 2010 00:17:45 +0300

>> >     grep -nHr . -e LH_INITRAMFS --color
>> >     ./binary_manifest:45:case "${LH_INITRAMFS}" in
>> >     [...]
>> >
>> > The LH_INITRAMFS on the fifth line has a blue background (the "match"
>> > face) iff I add --color.  In 23.1 I didn't need to supply --color.
>>
>> Please check the value of `grep-highlight-matches'.  Is it nil?
>
> It is "auto".

That's the correct value.

Could you please now run `set' as a grep command, i.e.:

  M-x grep RET C-a C-k set RET

and send all lines that match "grep" (e.g. by using `M-x occur RET grep'
on the output buffer).  For instance, I have the following
grep-related environment variables in the output buffer:

  GREP_COLOR='01;31'
  GREP_COLORS='mt=01;31:fn=:ln=:bn=:se=:ml=:cx=:ne'
  GREP_OPTIONS='--color=auto --color=auto'
  TERM=emacs-grep

with whose I get the correct match highlighting running GNU grep 2.6.3.

-- 
Juri Linkov
http://www.jurta.org/emacs/